无法安装R的cachem软件包

斯蒂芬·博斯

尝试安装esquisse软件包时,它依赖cachem

Error in loadNamespace(name) (esquisse_test.R#61): there is no package called ‘cachem’

尝试安装后者具有以下结果:

Install package 'cachem'

  There is a binary version available but the source version is later:
       binary source needs_compilation
cachem  1.0.3  1.0.4              TRUE

installing the source package ‘cachem’

trying URL 'https://cloud.r-project.org/src/contrib/cachem_1.0.4.tar.gz'
Content type 'application/x-gzip' length 24493 bytes (23 KB)
==================================================
downloaded 23 KB

* installing *source* package ‘cachem’ ...
** package ‘cachem’ successfully unpacked and MD5 sums checked
** using staged installation
** libs
Error in if (nzchar(SHLIB_LIBADD)) SHLIB_LIBADD else character() : 
  argument is of length zero
* removing ‘/Library/Frameworks/R.framework/Versions/4.0/Resources/library/cachem’
Warning in install.packages("cachem", verbose = FALSE, repos = c("https://cloud.r-project.org/"),  :
  installation of package ‘cachem’ had non-zero exit status

The downloaded source packages are in
    ‘/private/var/folders/d6/m67jyndd7h754m3810cl3bpm0000gp/T/Rtmpg35h3E/downloaded_packages’

我在macOS上使用R 4.0.2。

更新cachem也是依赖RShiny它似乎是一个核心库。

斯蒂芬·博斯

我关闭了R,将其更新为R 4.0.3,并cachem从源代码进行安装,并且此组合有效。

> install.packages('shiny')
also installing the dependency ‘cachem’


  There is a binary version available but the source version is later:
       binary source needs_compilation
cachem  1.0.3  1.0.4              TRUE

Do you want to install from sources the package which needs compilation? (Yes/no/cancel) Yes
trying URL 'https://cloud.r-project.org/bin/macosx/contrib/4.0/shiny_1.6.0.tgz'
Content type 'application/x-gzip' length 5411196 bytes (5.2 MB)
==================================================
downloaded 5.2 MB


The downloaded binary packages are in
        /var/folders/d6/m67jyndd7h754m3810cl3bpm0000gp/T//Rtmp5nrBcF/downloaded_packages
installing the source package ‘cachem’

trying URL 'https://cloud.r-project.org/src/contrib/cachem_1.0.4.tar.gz'
Content type 'application/x-gzip' length 24493 bytes (23 KB)
==================================================
downloaded 23 KB

* installing *source* package ‘cachem’ ...
** package ‘cachem’ successfully unpacked and MD5 sums checked
** using staged installation
** libs
/usr/local/opt/llvm/bin/clang   -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk -I"/Library/Frameworks/R.framework/Resources/include" -DNDEBUG   -I/usr/local/opt/gettext/include -I/usr/local/opt/llvm/include -I/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/include   -fPIC  -g -O3 -Wall -pedantic -std=gnu99 -mtune=native -pipe -c cache.c -o cache.o
/usr/local/opt/llvm/bin/clang   -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk -I"/Library/Frameworks/R.framework/Resources/include" -DNDEBUG   -I/usr/local/opt/gettext/include -I/usr/local/opt/llvm/include -I/Library/Developer/CommandLineTools/SDKs/MacOSX.sdk/usr/include   -fPIC  -g -O3 -Wall -pedantic -std=gnu99 -mtune=native -pipe -c init.c -o init.o
/usr/local/opt/llvm/bin/clang -isysroot /Library/Developer/CommandLineTools/SDKs/MacOSX.sdk -dynamiclib -Wl,-headerpad_max_install_names -undefined dynamic_lookup -single_module -multiply_defined suppress -L/Library/Frameworks/R.framework/Resources/lib -L/usr/local/opt/gettext/lib -L/usr/local/opt/llvm/lib -Wl,-rpath,/usr/local/opt/llvm/lib -o cachem.so cache.o init.o -F/Library/Frameworks/R.framework/.. -framework R -Wl,-framework -Wl,CoreFoundation
installing to /Library/Frameworks/R.framework/Versions/4.0/Resources/library/00LOCK-cachem/00new/cachem/libs
** R
** byte-compile and prepare package for lazy loading
** help
*** installing help indices
** building package indices
** testing if installed package can be loaded from temporary location
** checking absolute paths in shared objects and dynamic libraries
** testing if installed package can be loaded from final location
** testing if installed package keeps a record of temporary installation path
* DONE (cachem)

本文收集自互联网,转载请注明来源。

如有侵权,请联系[email protected] 删除。

编辑于
0

我来说两句

0条评论
登录后参与评论

相关文章

来自分类Dev

无法npm安装我的软件包

来自分类Dev

无法在CentOS的R中安装XML软件包

来自分类Dev

无法安装和加载软件包

来自分类Dev

R的闪亮(Rstudio)软件包-无法在Mavericks上安装

来自分类Dev

无法在Linux Mint 17上安装R软件包

来自分类Dev

无法安装Julia软件包

来自分类Dev

使用R CMD安装无法安装R软件包

来自分类Dev

无法安装Go软件包

来自分类Dev

无法在CentOS下从源代码安装R软件包

来自分类Dev

无法安装gmum.r软件包

来自分类Dev

R软件包'Boom'无法在Ubuntu Linux上安装

来自分类Dev

无法安装“ flexdashboard软件包”

来自分类Dev

无法在R 3.3.0上安装nloptr软件包

来自分类Dev

无法安装R软件包

来自分类Dev

无法在R Studio中安装软件包

来自分类Dev

无法在R中安装软件包

来自分类Dev

无法安装ggm软件包和R语言

来自分类Dev

无法在R 3.6.2中安装“ mnormt”软件包

来自分类Dev

无法在Heroku上安装R软件包

来自分类Dev

R无法访问存储库的安装软件包

来自分类Dev

无法在Windows 8.1的R中安装Xgbhoost软件包

来自分类Dev

无法安装新的软件/软件包

来自分类Dev

无法在Ubuntu 18.04中安装R软件包

来自分类Dev

无法在R 3.3.0中安装rgdal软件包

来自分类Dev

R无法在centos 6.5上安装软件包

来自分类Dev

无法安装R软件包

来自分类Dev

无法在Debian Jessie中安装R软件包

来自分类Dev

无法安装R的geojson软件包

来自分类Dev

某些R软件包无法安装